#ifndef _SETUP_HPP_
#define _SETUP_HPP_
//Libraries
#include "mbed.h"
#include "rtos.h"  //Real Time Operating System. https://os.mbed.com/handbook/RTOS
#include "ShiftReg.h"


//Header Files
#include "Post.hpp"
#include "Interface.hpp"
#include "Power.hpp"
#include "Post.hpp"
#include "Schedules.hpp"
#include "Feedback.hpp"
//Digital Outputs
extern DigitalOut myled;    //Onboard LED


//Class instances
extern POWER POWER_1;
extern INTERFACE INTERFACE_1;
extern SCHEDULES SCHEDULES_1;
extern FEEDBACK FEEDBACK_1;
//ShiftReg SR1(PA_12, PA_11, PA_10);    //data, store, clock

static Thread Serial_Thread;
static Thread LCD_Thread;
static Thread LED_Thread;
static Thread Schedules_Thread;
static Thread Feedback_Thread;
#endif //_SETUP_HPP_
